Update a bulk shipping address
curl --request PATCH \
--url https://b2b-api-sandbox.easyonramp.com/api/v1/cards/bulk-shipping-addresses/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"line1": "123 Main Street",
"line2": "Suite 4",
"city": "Springfield",
"region": "Arizona",
"postalCode": "85001",
"countryCode": "US",
"recipientFirstName": "Jane",
"recipientLastName": "Doe",
"recipientPhoneCountryCode": "1",
"recipientPhoneNumber": "5555555555"
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
line1: '123 Main Street',
line2: 'Suite 4',
city: 'Springfield',
region: 'Arizona',
postalCode: '85001',
countryCode: 'US',
recipientFirstName: 'Jane',
recipientLastName: 'Doe',
recipientPhoneCountryCode: '1',
recipientPhoneNumber: '5555555555'
})
};
fetch('https://b2b-api-sandbox.easyonramp.com/api/v1/cards/bulk-shipping-addresses/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://b2b-api-sandbox.easyonramp.com/api/v1/cards/bulk-shipping-addresses/{id}"
payload = {
"line1": "123 Main Street",
"line2": "Suite 4",
"city": "Springfield",
"region": "Arizona",
"postalCode": "85001",
"countryCode": "US",
"recipientFirstName": "Jane",
"recipientLastName": "Doe",
"recipientPhoneCountryCode": "1",
"recipientPhoneNumber": "5555555555"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://b2b-api-sandbox.easyonramp.com/api/v1/cards/bulk-shipping-addresses/{id}"
payload := strings.NewReader("{\n \"line1\": \"123 Main Street\",\n \"line2\": \"Suite 4\",\n \"city\": \"Springfield\",\n \"region\": \"Arizona\",\n \"postalCode\": \"85001\",\n \"countryCode\": \"US\",\n \"recipientFirstName\": \"Jane\",\n \"recipientLastName\": \"Doe\",\n \"recipientPhoneCountryCode\": \"1\",\n \"recipientPhoneNumber\": \"5555555555\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "507f1f77bcf86cd799439011",
"line1": "123 Main Street",
"city": "Springfield",
"region": "Arizona",
"postalCode": "85001",
"countryCode": "US",
"recipientFirstName": "Jane",
"recipientLastName": "Doe",
"recipientPhoneCountryCode": "1",
"recipientPhoneNumber": "5555555555",
"isDefault": true,
"line2": "Suite 4"
}Cards
Update a bulk shipping address
Updates the receiving address. The local id stays the same and remains the value to send as bulkShippingGroupId on issue.
PATCH
/
api
/
v1
/
cards
/
bulk-shipping-addresses
/
{id}
Update a bulk shipping address
curl --request PATCH \
--url https://b2b-api-sandbox.easyonramp.com/api/v1/cards/bulk-shipping-addresses/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"line1": "123 Main Street",
"line2": "Suite 4",
"city": "Springfield",
"region": "Arizona",
"postalCode": "85001",
"countryCode": "US",
"recipientFirstName": "Jane",
"recipientLastName": "Doe",
"recipientPhoneCountryCode": "1",
"recipientPhoneNumber": "5555555555"
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
line1: '123 Main Street',
line2: 'Suite 4',
city: 'Springfield',
region: 'Arizona',
postalCode: '85001',
countryCode: 'US',
recipientFirstName: 'Jane',
recipientLastName: 'Doe',
recipientPhoneCountryCode: '1',
recipientPhoneNumber: '5555555555'
})
};
fetch('https://b2b-api-sandbox.easyonramp.com/api/v1/cards/bulk-shipping-addresses/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://b2b-api-sandbox.easyonramp.com/api/v1/cards/bulk-shipping-addresses/{id}"
payload = {
"line1": "123 Main Street",
"line2": "Suite 4",
"city": "Springfield",
"region": "Arizona",
"postalCode": "85001",
"countryCode": "US",
"recipientFirstName": "Jane",
"recipientLastName": "Doe",
"recipientPhoneCountryCode": "1",
"recipientPhoneNumber": "5555555555"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://b2b-api-sandbox.easyonramp.com/api/v1/cards/bulk-shipping-addresses/{id}"
payload := strings.NewReader("{\n \"line1\": \"123 Main Street\",\n \"line2\": \"Suite 4\",\n \"city\": \"Springfield\",\n \"region\": \"Arizona\",\n \"postalCode\": \"85001\",\n \"countryCode\": \"US\",\n \"recipientFirstName\": \"Jane\",\n \"recipientLastName\": \"Doe\",\n \"recipientPhoneCountryCode\": \"1\",\n \"recipientPhoneNumber\": \"5555555555\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "507f1f77bcf86cd799439011",
"line1": "123 Main Street",
"city": "Springfield",
"region": "Arizona",
"postalCode": "85001",
"countryCode": "US",
"recipientFirstName": "Jane",
"recipientLastName": "Doe",
"recipientPhoneCountryCode": "1",
"recipientPhoneNumber": "5555555555",
"isDefault": true,
"line2": "Suite 4"
}Authorizations
Bearer JWT issued to your business account during onboarding
Path Parameters
Body
application/json
Example:
"123 Main Street"
Example:
"Suite 4"
Example:
"Springfield"
Example:
"Arizona"
Example:
"85001"
Example:
"US"
Example:
"Jane"
Example:
"Doe"
Example:
"1"
Example:
"5555555555"
Response
200 - application/json
Bulk shipping address id. Pass this as bulkShippingGroupId when issuing physical cards.
Example:
"507f1f77bcf86cd799439011"
Example:
"123 Main Street"
Example:
"Springfield"
Example:
"Arizona"
Example:
"85001"
Example:
"US"
Example:
"Jane"
Example:
"Doe"
Example:
"1"
Example:
"5555555555"
Example:
true
Example:
"Suite 4"